summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2017-06-20 06:58:13 +0200
committerHans de Graaff <graaff@gentoo.org>2017-06-20 06:58:50 +0200
commit2ebd61e87a0391f2c21128dc39b8787a5cadb4fe (patch)
tree3abe2f6c429789931a999ee2e310bc1f3c33b328
parentdev-ruby/daemons: add ruby24 (diff)
downloadgentoo-2ebd61e87a0391f2c21128dc39b8787a5cadb4fe.tar.gz
gentoo-2ebd61e87a0391f2c21128dc39b8787a5cadb4fe.tar.bz2
gentoo-2ebd61e87a0391f2c21128dc39b8787a5cadb4fe.zip
www-servers/thin: add 1.7.1
Package-Manager: Portage-2.3.5, Repoman-2.3.1
-rw-r--r--www-servers/thin/Manifest1
-rw-r--r--www-servers/thin/thin-1.7.1.ebuild88
2 files changed, 89 insertions, 0 deletions
diff --git a/www-servers/thin/Manifest b/www-servers/thin/Manifest
index 1371f52b94f..c88bc9460bb 100644
--- a/www-servers/thin/Manifest
+++ b/www-servers/thin/Manifest
@@ -1 +1,2 @@
DIST thin-1.7.0.tar.gz 180791 SHA256 8574ea81e50fc6b46bf48c147cce26eb698f60b554228498daba88f65b043927 SHA512 a41ffb8792f5dbc732696af4914e5121e83f21d18e5aae64676dc5d035f84c0e13d352565c5004ba7ac2e42c701522a6aa6a9250303877c3ac566c30336df2c3 WHIRLPOOL 029fde0ec69b4c1bbd57cd98e483c6fa8ec2ae82e4e80c43b0d328a8c424867737b9d8db7a5f642e70b6946092c26b6594d06d884efd2a5efe98b1f387ff9fec
+DIST thin-1.7.1.tar.gz 179998 SHA256 2b9dbf80d7e2982ed166582af04b0a60dce176461a2547617839610630428120 SHA512 7a5e3ccef263e5ba15cf53f38d7a8ae6ff974a4cfee2844cc15f9e6afb155b73b43e8c2ba49e177cad20eb9a728f4ddbe0d88417ad7f1c11ca2a535745da73ef WHIRLPOOL ad60616ed1d0d3ef162e63baf187b13757197022ef4646c8a9cfabcfff750cf325511f2153404dd1e92b4a35bde4aac3f5a6b80ab0eb142a9915508b195cd401
diff --git a/www-servers/thin/thin-1.7.1.ebuild b/www-servers/thin/thin-1.7.1.ebuild
new file mode 100644
index 00000000000..b57be6e1536
--- /dev/null
+++ b/www-servers/thin/thin-1.7.1.ebuild
@@ -0,0 +1,88 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby21 ruby22 ruby23"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec"
+RUBY_FAKEGEM_GEMSPEC="${PN}.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="A fast and very simple Ruby web server"
+HOMEPAGE="http://code.macournoyer.com/thin/"
+SRC_URI="https://github.com/macournoyer/thin/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE="doc test"
+
+DEPEND="${DEPEND}
+ dev-util/ragel"
+RDEPEND="${RDEPEND}"
+
+# The runtime dependencies are used at build-time as well since the
+# Rakefile loads thin!
+mydeps=">=dev-ruby/daemons-1.0.9
+ >=dev-ruby/rack-1.0.0:* <dev-ruby/rack-3:*
+ >=dev-ruby/eventmachine-1.0.4:0
+ virtual/ruby-ssl"
+
+ruby_add_rdepend "${mydeps}"
+ruby_add_bdepend "${mydeps}
+ dev-ruby/rake-compiler"
+
+all_ruby_prepare() {
+ # Fix Ragel-based parser generation (uses a *very* old syntax that
+ # is not supported in Gentoo)
+ sed -i -e 's: | rlgen-cd::' Rakefile || die
+
+ # Fix specs' dependencies so that the extension is not rebuilt
+ # when running tests
+ rm tasks/spec.rake || die
+
+ # Fix rspec version to allow newer 2.x versions
+ sed -i -e '/gem "rspec"/ s/1.2.9/2.0/' spec/spec_helper.rb || die
+
+ # Avoid CLEAN since it may not be available and we don't need it.
+ sed -i -e '/CLEAN/ s:^:#:' tasks/*.rake || die
+
+ # Disable a test that is known for freezing the testsuite,
+ # reported upstream. In thin 1.5.1 this just fails.
+ sed -i \
+ -e '/should force kill process in pid file/,/^ end/ s:^:#:' \
+ spec/daemonizing_spec.rb || die
+
+ sed -i \
+ -e '/tracing routines (with NO custom logger)/,/^ end/ s:^:#:'\
+ spec/logging_spec.rb || die
+
+ find spec/perf -name "*_spec.rb" -exec \
+ sed -i '/be_faster_then/ i \ pending' {} \;
+
+ sed -i -e "s/Spec::Runner/Rspec/" spec/spec_helper.rb || die
+ # nasty but too complex to fix up for now :(
+ use doc || rm tasks/rdoc.rake
+}
+
+each_ruby_compile() {
+ ${RUBY} -S rake compile || die "rake compile failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ keepdir /etc/thin
+ newinitd "${FILESDIR}"/${PN}.initd-r4 ${PN}
+ newconfd "${FILESDIR}"/${PN}.confd-2 ${PN}
+
+ einfo
+ elog "Thin is now shipped with init scripts."
+ elog "The default script (/etc/init.d/thin) will start all servers that have"
+ elog "configuration files in /etc/thin/. You can symlink the init script to"
+ elog "files of the format 'thin.SERVER' to be able to start individual servers."
+ elog "See /etc/conf.d/thin for more configuration options."
+ einfo
+}